#![warn(missing_docs)]

//! This crate contains all drawing logic.
//! It converts game state to a nice picture.
//!
//! [`GPUState`] is the main struct this crate provides,
//! and the only one external code should interact with.
//! (Excluding data structs, like [`ObjectSprite`])

mod consts;
mod globaldata;
mod gpustate;
mod pipeline;
mod sprite;
mod starfield;
mod texturearray;
mod vertexbuffer;

// TODO: remove
mod consts_main;

use galactica_content as content;
pub use gpustate::GPUState;
pub use sprite::{AnchoredUiPosition, ObjectSprite, ObjectSubSprite, UiSprite};
